# the name is "setuptool" because we already have a package
# named "setup".  Oh, well.

%global momorel 1

Name: setuptool
Version: 1.19.4
Release: %{momorel}m%{?dist}
Summary: A text mode system configuration tool.
License: GPL
Group: Applications/System
Source: setuptool-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: newt-devel >= 0.52.5

%description
Setuptool is a user-friendly text mode menu utility which allows you
to access all of the text mode configuration programs included in the
Momonga Linux operating system.

You should install the setuptool package because you will find
yourself using its features for essential system administration.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
%find_lang setup

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f setup.lang
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/setup
%attr(0755,root,root) %dir %{_datadir}/%{name}
%attr(0755,root,root) %dir %{_datadir}/%{name}/setuptool.d
%attr(0644,root,root) %{_sysconfdir}/pam.d/*
%attr(0644,root,root) %{_sysconfdir}/security/console.apps/*
%attr(0644,root,root) %{_sysconfdir}/setuptool.d/*
%attr(0755,root,root) %{_sbindir}/*

%changelog
* Mon May 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.19.4-1m)
- update 1.19.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.19.2-2m)
- rebuild against gcc43

* Fri Feb 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.19.2-1m)
- update 1.19.2

* Thu May 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.17-2m)
- rebuild against newt-0.52.2

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.17-1m)
- version up

* Sat Nov 20 2004 Kimitake SHIBATA <siva@momonga-linux.org>
- (1.13-3m)
- fix missing bindir/*

* Sun May 16 2004 Toru Hoshina <t@momonga-linux.org>
- (1.13-2m)
- version up.

* Fri Mar  5 2004 Toru Hoshina <t@momonga-linux.org>
- (1.8-7m)
- rebuild against newt-0.51.6-1m

* Fri Dec 19 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.8-6m)
- rebuild against newt

* Sun Nov  9 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.8-5m)
- use %%{momorel}

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (1.8-4k)
- japanese related stuff

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- add "archive" make target
- size list box based on length of list

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuilt in new environment

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- port to C, so we can get python out of base component

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- add support for authconfig, remove cabaret

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- initial version


